QGIS Application - Bug report #21935

Clear filter in Snapping Toolbar > Edit advanced configuration causes crash

2019-04-26 11:15 AM - Nicklas Larsson

Status: Feedback
Priority: High
Assignee:

Category: Unknown

Affected QGIS version:3.4.7
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 29750

Description

Clicking the "Clear filter"-button (see attached screenshot) in the "Edit advanced configuration" popup window in Snapping Toolbar

causes crash.

Curiously, the same procedure in "Project Snapping Settings" works as expected.

History

#1 - 2019-04-30 06:45 PM - Giovanni Manghi
- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category changed from GUI to Unknown

Cannot replicate here on Linux, please try with a new/clean QGIS profile too.

#2 - 2019-05-02 11:04 AM - Nicklas Larsson

After a clean install on another mac, it crashes in the same way. The same happend with a new QGIS profile on my machine.

#3 - 2019-05-02 11:20 AM - Nicklas Larsson
- File crashreport_win10.txt added

| can now confirm the issue can be replicated on Win10 for QGIS 3.4.5.

#4 - 2019-05-02 01:22 PM - Giovanni Manghi
- Operating System deleted (macQOS)

Files

crashreport.txt 12.2 KB 2019-04-26 Nicklas Larsson
Screenshot.png 30.1 KB 2019-04-26 Nicklas Larsson
crashreport_win10.txt 1.73 KB 2019-05-02 Nicklas Larsson
